/****************************************************************************
 *
 * Copyright (c) 2005-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package org.ow2.petals.jmx.exception;

/**
 * This exception is thrown when an error occurs during the connection to the JMX Server.
 * @author Christophe Deneux - Capgemini Sud
 * @author Cedric Girodengo - Capgemini Sud
 */
public class ConnectionErrorException extends PetalsJMXClientException {

    /**
     *
     */
    private static final long serialVersionUID = -735371285089299858L;

    public ConnectionErrorException(Throwable cause) {
        super(cause);
    }
    public ConnectionErrorException(String message) {
        super(message);
    }
    public ConnectionErrorException(String message, Throwable cause) {
        super(message, cause);
    }
}
